<?php

use Photobooth\Helper;

$file    = $this->logfile();
$logfile = file_exists( $file );
$time    = $logfile ? wp_date_localised( 'd.m.y H:i:s', filemtime( $file ) ) : 0;
$file_url = Helper::abs_path_to_url( $file );
?>

<div class="wrap">
    <h1><?php echo __('Photobooth Gallery Logging Overview','photobooth-gallery') ?></h1>

    <h2><?php echo __('Cron Schedule','photobooth-gallery') ?></h2>
    <?php if ( wp_next_scheduled( 'pg-cron-scan' ) ): ?>
        <p><?php echo __('Next File Sync','photobooth-gallery') ?>: <?php echo wp_date_localised( 'd.m.y H:i:s', wp_next_scheduled( 'pg-cron-scan' ) ) ?></p>
	<?php endif; ?>


    <?php if ( wp_next_scheduled( 'pg-cron-cleanup' ) ): ?>
        <p><?php echo __('Next Medialibrary Clean Up','photobooth-gallery') ?>: <?php echo date( 'd.m.y H:i:s', wp_next_scheduled( 'pg-cron-cleanup' ) ) ?></p>
        <p><a href="<?php echo get_admin_url(null, 'admin.php?page=photobooth-gallery-logs&pg-cron-cleanup')?>" class="btn btn-small btn-success">Clean Up Now</a></p>
	<?php endif; ?>


    <?php if ( $logfile ) : $data = file_get_contents( $file );
		$lines = array_slice( array_reverse( explode( PHP_EOL, $data ) ), 1, 1024 ); ?>
        <h2><?php echo __('Logfile Data','photobooth-gallery') ?></h2>
        <p><?php echo __('Filename','photobooth-gallery') ?>: <?php echo $file ?></p>
        <?php if ( $file_url !== $file ) :?>
        <p><?php echo __('Filelink','photobooth-gallery') ?>: <a href="<?php echo $file_url ?>" target="_blank"><?php echo $file_url ?></a> </p>
        <?php endif; ?>
        <p><?php echo __('Last access to logfile','photobooth-gallery') ?>: <?php echo $time ?></p>
        <p><?php echo __('Current filesize','photobooth-gallery') ?>: <?php echo Helper::filesize( $file ) ?></p>
        <p><?php echo __('Rows','photobooth-gallery') ?>: <?php echo sizeof( $lines ) - 1 ?></p>
        <div>
            <select id="debug_options">
                <option value="ALL" selected="selected">ALL</option>
                <option value="DEBUG">DEBUG</option>
                <option value="INFO">INFO</option>
                <option value="WARNING">WARNING</option>
                <option value="ERROR">ERROR</option>
            </select>
        </div>
        <div id="logging-scroller">
            <table class="wp-list-table widefat fixed striped " id="logging-table">
                <thead>
                <tr>
                    <th width="150px">Date</th>
                    <th>Message</th>
                </tr>
                </thead>
                <tbody id="logging-table-body">
				<?php foreach ( $lines as $line ) : $rows = explode( ' - ', $line );

                        $rows[1]    = $rows[1] . ': ' . implode( ' - ', array_slice( $rows, 2 ) );
                        $types      = explode( ':', $rows['1'] );
                        $type       = reset( $types );
                        $rows       = array_slice( $rows, 0, 2 ); ?>

                    <tr data-type="<?php echo $type ?>">
						<?php echo array_reduce( $rows, function ( $carry, $item ) {
							$item  = htmlspecialchars( $item );
							$item  = nl2br( $item );
							$carry .= "<td>$item</td>";

							return $carry;
						}, '' ); ?>
                    </tr>
				<?php endforeach; ?>
                </tbody>
            </table>
        </div>

	<?php endif; ?>
</div>
