<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://www.codevision.io
 * @since      1.0.0
 *
 * @package    Photobooth_Gallery
 * @subpackage Photobooth_Gallery/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Photobooth_Gallery
 * @subpackage Photobooth_Gallery/includes
 * @author     codevision.io <info@codevision.io>
 */
class Photobooth_Gallery_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {

		$license_manager = pg_get_license_manager();
		$license_manager->deactivate();

		$gallery = new Photobooth_Gallery( $license_manager );
		$gallery->deactivate();

        do_action('photobooth/disable');
        delete_option( 'pbg-elementor-active' );
	}

}
