<?php

namespace Photobooth;

class CustomPostTypes {

	const SETTINGS_SLUG = 'pg_settings';

	public function init() {
		$this->settings_type();
	}

	private function settings_type() {
		$labels = array(
			'name'                  => _x( 'Settings', 'Post Type General Name', 'photobooth-gallery' ),
			'singular_name'         => _x( 'Settings', 'Post Type Singular Name', 'photobooth-gallery' ),
			'menu_name'             => __( 'Settings', 'photobooth-gallery' ),
			'name_admin_bar'        => __( 'Settings', 'photobooth-gallery' ),
			'archives'              => __( 'Item Archives', 'photobooth-gallery' ),
			'attributes'            => __( 'Item Attributes', 'photobooth-gallery' ),
			'parent_item_colon'     => __( 'Parent Item:', 'photobooth-gallery' ),
			'all_items'             => __( 'Configurations', 'photobooth-gallery' ),
			'add_new_item'          => __( 'Add New Item', 'photobooth-gallery' ),
			'add_new'               => __( 'Add New', 'photobooth-gallery' ),
			'new_item'              => __( 'New Item', 'photobooth-gallery' ),
			'edit_item'             => __( 'Edit Item', 'photobooth-gallery' ),
			'update_item'           => __( 'Update Item', 'photobooth-gallery' ),
			'view_item'             => __( 'View Item', 'photobooth-gallery' ),
			'view_items'            => __( 'View Items', 'photobooth-gallery' ),
			'search_items'          => __( 'Search Item', 'photobooth-gallery' ),
			'not_found'             => __( 'Not found', 'photobooth-gallery' ),
			'not_found_in_trash'    => __( 'Not found in Trash', 'photobooth-gallery' ),
			'featured_image'        => __( 'Featured Image', 'photobooth-gallery' ),
			'set_featured_image'    => __( 'Set featured image', 'photobooth-gallery' ),
			'remove_featured_image' => __( 'Remove featured image', 'photobooth-gallery' ),
			'use_featured_image'    => __( 'Use as featured image', 'photobooth-gallery' ),
			'insert_into_item'      => __( 'Insert into item', 'photobooth-gallery' ),
			'uploaded_to_this_item' => __( 'Uploaded to this item', 'photobooth-gallery' ),
			'items_list'            => __( 'Items list', 'photobooth-gallery' ),
			'items_list_navigation' => __( 'Items list navigation', 'photobooth-gallery' ),
			'filter_items_list'     => __( 'Filter items list', 'photobooth-gallery' ),
		);

		$args = array(
			'label'               => __( 'Settings', 'photobooth-gallery' ),
			'description'         => __( 'Settings information page.', 'photobooth-gallery' ),
			'labels'              => $labels,
			'supports'            => array( 'title' ),
			'taxonomies'          => array( 'category' ),
			'hierarchical'        => false,
			'public'              => false,
			'show_ui'             => true,
			'show_in_menu'        => 'acf-options-global-settings',
			'menu_position'       => 5,
			'menu_icon'           => 'dashicons-admin-page',
			'show_in_admin_bar'   => false,
			'show_in_nav_menus'   => false,
			'can_export'          => true,
			'has_archive'         => false,
			'exclude_from_search' => true,
			'publicly_queryable'  => false,
            'capabilities' => [
                'edit_post'             => 'manage_pg_settings',
                'read_post'             => 'manage_pg_settings',
                'delete_post'           => 'manage_pg_settings',
                'edit_posts'            => 'manage_pg_settings',
                'edit_others_posts'     => 'manage_pg_settings',
                'delete_posts'          => 'manage_pg_settings',
                'delete_others_posts'   => 'manage_pg_settings',
                'publish_posts'         => 'manage_pg_settings',
                'read_private_posts'    => 'manage_pg_settings',
                'create_posts'          => 'manage_pg_settings',
            ],
		);

		register_post_type( self::SETTINGS_SLUG, $args );
	}


}

