<?php declare(strict_types=1);

namespace Photobooth\Plugins;

use WP_REST_Request;

class DisableApiAccessToPhotoboothImagesMixin
{
    public function init(): void
    {
        add_filter('rest_attachment_query', function (array $args, WP_REST_Request $request) {
            $args['meta_query'] = [
                [
                    'relation' => 'OR',
                    [
                        'key' => 'type',
                        'value' => 'photobooth-gallery-image',
                        'compare' => '!=',
                    ],
                    [
                        'key' => 'type',
                        'compare' => 'NOT EXISTS',
                    ],
                ],
            ];

            return $args;
        }, 10, 2);
    }
}
