<?php declare(strict_types=1);

namespace Photobooth\Plugins;

use Photobooth\Symfony\Component\Lock\LockFactory;
use Photobooth\Symfony\Component\Lock\LockInterface;
use Photobooth\Symfony\Lock\Store\PdoStore;

class LockMixin
{
    public static function createLock(string $lock, int $ttl): LockInterface
    {
        include_once ABSPATH . 'wp-config.php';

        $dns = sprintf('mysql:host=%s;dbname=%s', DB_HOST, DB_NAME);

        $store = new PdoStore($dns, [
            'db_username' => DB_USER,
            'db_password' => DB_PASSWORD,
        ]);

        $factory = new LockFactory($store);

        return $factory->createLock($lock, $ttl);
    }


}
