<?php declare(strict_types=1);

namespace Photobooth\Plugins;

class SwiperTemplateMixin
{
    public function init()
    {
        add_filter(
            'photobooth/render_code_content/twig_template',
            fn(string $template, array $data, array $settings, string $type) => $this->handleTemplate(
                $template,
                $data,
                $settings,
                $type
            ),
            10,
            4
        );
    }

    private function handleTemplate(string $template, array $data, array $settings, string $type): string
    {
        switch ($type) {
            default:
                return $template;
            case 'thumb' :
                return 'photobooth-portfolio-swiper';
            case 'vertical' :
                return 'photobooth-portfolio-swiper-single';
        }
    }
}
