<?php

namespace Photobooth;

use Twig\TwigFunction;
use Twig\Environment;
use Twig\Loader\FilesystemLoader;

/**
 * Created by PhpStorm.
 * User: b2wsra
 * Date: 21.08.2018
 * Time: 19:30
 */
class Renderer {

    /**
     * @var Environment
     */
    private $twig;

    public function __construct() {

        $this->load_twig();
    }

    private function load_twig() {

        if ( $this->twig ) {
            return;
        }

        $loader = new FilesystemLoader( __DIR__ . '/../templates' );

        $this->twig = new Environment( $loader, array(
            'cache' => false,
        ) );

        $this->twig->addFunction( new TwigFunction( 'wp_trans', function( $trans ) {

            return __( $trans, 'photobooth-gallery' );
        }, array( 'is_safe' => array( 'html' ) ) ) );

        $this->twig->addFunction( new TwigFunction( 'image', function( $image ) {

            return PG_IMAGE_URL_PUBLIC . $image;
        }, [] ) );
    }

    public function view( $template, $data = array(), $extension = '.twig' ) {

        if ( ! $template ) {
            Helper::log( sprintf( '[ Template Renderer ] A template is required to view data' ), 'error' );

            return '';
        }

        return $this->twig->render( $template . $extension, $data );
    }

}
