<?php
/**
 * @license MIT
 *
 * Modified by sebastian rassmann on 06-February-2024 using Strauss.
 * @see https://github.com/BrianHenryIE/strauss
 */

namespace Photobooth\FFMpeg\Filters\AdvancedMedia;

use Photobooth\FFMpeg\Filters\FilterInterface;
use Photobooth\FFMpeg\Media\AdvancedMedia;

/**
 * A filter that can be used inside "-filter_complex" option.
 */
interface ComplexCompatibleFilter extends FilterInterface
{
    /**
     * Get name of the filter.
     *
     * @return string
     */
    public function getName();

    /**
     * Get minimal version of ffmpeg starting with which this filter is supported.
     *
     * @return string
     */
    public function getMinimalFFMpegVersion();

    /**
     * Apply the complex filter to the given media.
     *
     * @return string[] an array of arguments
     */
    public function applyComplex(AdvancedMedia $media);
}
