<?php

/*
 * This file is part of PHP-FFmpeg.
 *
 * (c) Alchemy <dev.team@alchemy.fr>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 * Modified by sebastian rassmann on 06-February-2024 using Strauss.
 * @see https://github.com/BrianHenryIE/strauss
 */

namespace Photobooth\FFMpeg\Filters\Video;

use Photobooth\FFMpeg\Filters\FilterInterface;
use Photobooth\FFMpeg\Format\VideoInterface;
use Photobooth\FFMpeg\Media\Video;

interface VideoFilterInterface extends FilterInterface
{
    /**
     * Applies the filter on the the Video media given an format.
     *
     * @return array An array of arguments
     */
    public function apply(Video $video, VideoInterface $format);
}
